using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MadCap.HelpViewerClient;

namespace HelpViewerClientTester
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

			//

			Uri	basePath	= new Uri( Application.StartupPath );
			Uri	path		= new Uri( basePath, "../SampleHelpSystem/Manual.mchelp" );

			mHelpSystem.Text = path.LocalPath;
        }

        private void mBrowseButton_Click(object sender, EventArgs e)
        {
            OpenFileDialog dlg = new OpenFileDialog();
            using (dlg)
            {
                dlg.Filter = "";
                dlg.Filter += /*UI:file filter*/ "MadCap Help System (*.mchelp)|*.mchelp";
                dlg.Multiselect = false;

                DialogResult dr = dlg.ShowDialog();

                if (dr == DialogResult.OK)
                {
                    mHelpSystem.Text = dlg.FileName;
                }
            }
        }

        private void mShowTopicButton_Click(object sender, EventArgs e)
        {
            HelpViewerClient client = new HelpViewerClient();

            if (client.TryLoad(mHelpSystem.Text))
            {
                client.ShowTopic(mCSHID.Text);
            }
			else
			{
				MessageBox.Show( "There was an error launching the help system." );
			}
        }

        private void mSearchButton_Click(object sender, EventArgs e)
        {
            HelpViewerClient client = new HelpViewerClient();

            if (client.TryLoad(mHelpSystem.Text))
            {
				string	cshid	= mCSHID.Text;

				if ( string.IsNullOrEmpty( cshid ) )
				{
					client.Search( mSearch.Text );
				}
				else
				{
					client.Search( mSearch.Text, cshid );
				}
            }
			else
			{
				MessageBox.Show( "There was an error launching the help system." );
			}
        }
    }
}